
Conversion Tools - Feature #7180

create a centralized manager for the conversion list and per-file/project status and logging

03/07/2023 08:18 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Greg Shah % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to Conversion Tools - Feature #7169: drive conversion order using use... New

Related to Conversion Tools - Feature #7179: rework the conversion process to... New

Related to Runtime Infrastructure - Bug #5703: rationalize, standardize and s... Closed

Related to Conversion Tools - Bug #6082: automatically add to conversion list... New

History

#1 - 03/07/2023 08:18 PM - Greg Shah

- Related to Feature #7169: drive conversion order using user-specified dependencies added

#2 - 03/07/2023 08:20 PM - Greg Shah

- Related to Feature #7179: rework the conversion process to ensure that it can finish an entire run even when there are failures after parsing added

#3 - 03/07/2023 08:27 PM - Greg Shah

We will externalize the conversion list and use it to drive both the front end and the TRPL processing.  It will be available via an API. That API will also

include the ability to report status back and log various details.  All of that will be associated with the specific file and can be viewed/rendered by

reading the data from the API.  This will facilitate a range of the features we need to build, including things like IDE support and dependency

management.  We won't do logging or any output to the console directly.

One feature that is needed is to be able to dynamically add or remove files from the conversion list.  #7179 will need to remove files when failures

occur.  The dependency management in #7169 will need the ability to add and remove files.

#4 - 03/20/2023 10:04 AM - Greg Shah

- Related to Bug #5703: rationalize, standardize and simplify the client-side log file name configuration added

#5 - 04/27/2023 03:45 AM - Galya B

Interface is p2j.convert.ConversionStatus. Applicable for packages (refs #5703#note-133):

src/com/goldencode/p2j/convert/

src/com/goldencode/p2j/e4gl/

src/com/goldencode/p2j/pattern/

src/com/goldencode/p2j/preproc/

src/com/goldencode/p2j/report/

src/com/goldencode/p2j/uast/

src/com/goldencode/p2j/schema/
https://proj.goldencode.com/issues/7179
https://proj.goldencode.com/issues/7169
https://proj.goldencode.com/issues/5703#note-133


#6 - 05/02/2023 09:49 AM - Greg Shah

- Related to Bug #6082: automatically add to conversion list all non-skeleton .cls dependencies added

#7 - 05/06/2023 09:40 AM - Greg Shah

- Assignee set to Greg Shah

#8 - 05/06/2023 09:49 AM - Greg Shah

Branch 7180a created from trun rev 14561.

#9 - 05/12/2023 07:05 AM - Galya B

TODO: add TransformDriver cmd line arg parsing to set the level of logging. Check #6921#note-167 for example where this will be useful.

#10 - 05/24/2023 12:41 PM - Greg Shah

Branch 7180a rebased from trunk 14584.

#11 - 09/26/2023 02:40 PM - Greg Shah

Branch 7180a rebased from trunk 14754.
